Package: org.codehaus.groovy.transform

## [Java] Class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

- org.codehaus.groovy.transform.BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo

-     protected static class BuilderASTTransformation.AbstractBuilderStrategy.PropertyInfo
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and description
    `PropertyInfo(String name, ClassNode type)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getName()`
    `` | `public ClassNode` | `getType()`
    `` | `public void` | `setName(String name)`
    `` | `public void` | `setType(ClassNode type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public PropertyInfo(String name, ClassNode type)

  - ### Method Detail

    - #### public String getName()

    - #### public ClassNode getType()

    - #### public void setName(String name)

    - #### public void setType(ClassNode type)